Page MenuHomePhabricator

Wikidata gadget request: Search for this item in Mix'n'Match
Closed, ResolvedPublic

Description

I use the Mix'n'Match search feature extremely frequently when editing Wikidata. It works very well when you want to complete all potential authority control properties for an item (mostly a person, but can be a concept or a geographical feature or a building too, for instance).

I'm not a coder but I have a hunch that it could be quite easy to create a gadget that adds a link to the Mix'n'Match search for the current item to the toolbar on the left.
The gadget could use the English label of the item as search string, with fallback to the label in another language where a label *is* present. (I know this is not perfect, but it would work in many cases.)

An example:
Item https://www.wikidata.org/wiki/Q2351102 is the Belgian artist Leo Copers. Has "Leo Copers" as English label.
Permalink for search for his name in Mix'n'Match is http://tools.wmflabs.org/mix-n-match/?mode=search&query=Leo%20Copers&exclude=&include=
The gadget could link to this permalink URL. With one click I can then take a look and complete the item's authority statements/matches.

Event Timeline

Spinster created this task.Jun 29 2016, 8:42 AM
Restricted Application added a project: Wikidata. · View Herald TranscriptJun 29 2016, 8:42 AM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald Transcript
Sjoerddebruin triaged this task as Normal priority.Jul 12 2016, 3:59 PM

@Spinster you can try out User:Edgars2007/mixnmatch.js. Place in your common.js file:

mw.loader.load( '/w/index.php?title=User:Edgars2007/mixnmatch.js&action=raw&ctype=text/javascript' );

As I'm not even starting learning Javascript, script probably could be rewritten in a pretier and more "javascript-ic" way, but that shouldn't affect use of it for you and maybe others.

Haven't tested a lot, but should be working. Included those languages for fallback, which are in first line of script. If you think that there should be some more, say... If you notice some bugs, ping me here/my talkpage at Wikidata.

Edgars2007 closed this task as Resolved.Sep 24 2016, 10:26 AM
Edgars2007 claimed this task.